group 'com.izouma.screen_stream_plugin'
version '1.0-SNAPSHOT'

buildscript {
    repositories {
        google()
        jcenter()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.1'
    }
}

rootProject.allprojects {
    repositories {
        google()
        jcenter()
    }
}

apply plugin: 'com.android.library'

android {
    compileSdkVersion 28

    defaultConfig {
        minSdkVersion 21
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    lintOptions {
        disable 'InvalidPackage'
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation group: 'org.bytedeco', name: 'javacv', version: '1.4.4'
    implementation group: 'org.bytedeco.javacpp-presets', name: 'opencv', version: '4.0.1-1.4.4', classifier: 'android-arm'
    implementation group: 'org.bytedeco.javacpp-presets', name: 'ffmpeg', version: '4.1-1.4.4', classifier: 'android-arm'
    implementation group: 'org.bytedeco.javacpp-presets', name: 'tesseract', version: '4.0.0-1.4.4', classifier: 'android-arm'
    implementation group: 'org.bytedeco.javacpp-presets', name: 'leptonica', version: '1.77.0-1.4.4', classifier: 'android-arm'
    implementation "net.gotev:uploadservice:3.5.2"
}
